### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
LmLinearExponentialCorrelationModel Class Reference

linear exponential correlation model More...

`#include <ql/legacy/libormarketmodels/lmlinexpcorrmodel.hpp>`

Inheritance diagram for LmLinearExponentialCorrelationModel:
[legend]

List of all members.

## Public Member Functions

| LmLinearExponentialCorrelationModel (Size size, Real rho, Real beta, Size factors=Null< Size >())
Disposable< Matrix > | correlation (Time t, const Array &x=Null< Array >()) const
Disposable< Matrix > | pseudoSqrt (Time t, const Array &x=Null< Array >()) const
Real | correlation (Size i, Size j, Time t, const Array &x) const
Size | factors () const
bool | isTimeIndependent () const

## Protected Member Functions

void | generateArguments ()

## Detailed Description

linear exponential correlation model

This class describes a exponential correlation model

References:

Damiano Brigo, Fabio Mercurio, Massimo Morini, 2003, Different Covariance Parameterizations of Libor Market Model and Joint Caps/Swaptions Calibration, (<http://www.business.uts.edu.au/qfrc/conferences/qmf2001/Brigo_D.pdf>)